summaryrefslogtreecommitdiff
path: root/gita
diff options
context:
space:
mode:
authorXiao Pan <gky44px1999@gmail.com>2024-01-09 04:09:59 -0800
committerXiao Pan <gky44px1999@gmail.com>2024-01-09 04:09:59 -0800
commit5eb0dbf136a9ad582192e003b7573a080514f063 (patch)
tree84d3a44749b1b2db50b39504ab7690a15b699e8d /gita
init from config_local_arch personal shell scripts
git log history see https://git.flylightning.xyz/config_local_arch/tree/home/xyz/.local/bin?id=d266c511cffb7eeb20bf1e4610d9d32557b7d0e6
Diffstat (limited to 'gita')
-rwxr-xr-xgita17
1 files changed, 17 insertions, 0 deletions
diff --git a/gita b/gita
new file mode 100755
index 0000000..ee00306
--- /dev/null
+++ b/gita
@@ -0,0 +1,17 @@
+#!/bin/sh
+# note message string must come after options
+
+cmd=git
+
+while getopts ls f; do
+ case $f in
+ l|s) cmd="cfg -$f";;
+ \?) exit 1;;
+ esac
+done
+shift $((OPTIND-1))
+
+mes="${1:-update}"
+
+$cmd commit --all -m "$mes"
+$cmd push